## so-synth-lv2 1.4

=== Makefile ===
OBJECTS = so-666.o so-kl5.o so-404.o sosynth.o
LIBRARY = libsosynth.so
TTLS = so-666.ttl so-kl5.ttl so-404.ttl manifest.ttl
CC = gcc
CFLAGS += -Wall -O3 -ffast-math -lm `pkg-config --cflags --libs lv2core` -fPIC
INSTALLDIR = $(DESTDIR)/usr/lib/lv2/
INSTALLNAME = so-synth.lv2/
$(LIBRARY) : $(OBJECTS)
	$(CC) $(CFLAGS) $(OBJECTS) -shared -o $@

.SUFFIXES : .c .o

.c.o:
	$(CC) $(CFLAGS) -c $<

so-666.o : so-666.c

so-kl5.o : so-kl5.c

so-404.o : so-404.c

.PHONY : clean install uninstall

clean :
	rm -f $(LIBRARY) $(OBJECTS)

install :
	mkdir -p $(INSTALLDIR)$(INSTALLNAME)
	install $(LIBRARY) $(INSTALLDIR)$(INSTALLNAME)
	install -m 644 $(TTLS) $(INSTALLDIR)$(INSTALLNAME)

uninstall :
	rm -rf $(INSTALLDIR)$(INSTALLNAME)

## so-synth-lv2 1.3

=== debian/changelog ===
so-synth-lv2 (1.3-1) unstable; urgency=low

  * Initial release (Closes: #608848)

 -- Jeremy Salwen <jeremysalwen@gmail.com>  Tue, 31 May 2011 13:39:32 -0400

=== debian/control ===
Source: so-synth-lv2
Priority: extra
Maintainer: Jeremy Salwen <jeremysalwen@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), lv2core, lv2-extensions-good, pkg-config
Standards-Version: 3.9.2
Section: sound
Homepage: http://d00m.org/~someone/
Vcs-Git: git://github.com/jeremysalwen/So-synth-LV2.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/so-666.git;a=summary

Package: so-synth-lv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: lv2-plugin
Description: Set of synthesizers for the LV2 plugin format
 This package is an unofficial port of a set of synthesizers
 written by 50m30n3 to the LV2 plugin format.  In order to use
 it, you need a host for LV2 plugins such as Ardour, Qtractor,
 or Ingen.  This package contains three synthesizers, a feedback
 drone synthesizer, a piano synthesizer, and a bassline synthesizer.

## so-synth-lv2 1.4

=== debian/changelog ===
so-synth-lv2 (1.4-2) unstable; urgency=low

  * Team upload.
  * Port to the LV2's first stable spec.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 20:47:44 +0200

so-synth-lv2 (1.4-1) unstable; urgency=low

  * Team upload.
  * Moving under the umbrella of the Debian Multimedia Maintainers team.
  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Feb 2012 22:50:36 +0100

=== debian/control ===
Source: so-synth-lv2
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jeremy Salwen <jeremysalwen@gmail.com>
Build-Depends:
 debhelper (>= 7.0.50~),
 lv2-dev,
 pkg-config
Standards-Version: 3.9.3
Section: sound
Homepage: http://d00m.org/~someone/
Vcs-Git: git://git.debian.org/pkg-multimedia/so-synth-lv2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/so-synth-lv2.git

Package: so-synth-lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: Set of synthesizers for the LV2 plugin format
 This package is an unofficial port of a set of synthesizers
 written by 50m30n3 to the LV2 plugin format.  In order to use
 it, you need a host for LV2 plugins such as Ardour, Qtractor,
 or Ingen.  This package contains three synthesizers, a feedback
 drone synthesizer, a piano synthesizer, and a bassline synthesizer.

## so-synth-lv2 1.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 LIBRARY = libsosynth.so
 TTLS = so-666.ttl so-kl5.ttl so-404.ttl manifest.ttl
 CC = gcc
-CFLAGS += -Wall -O3 -ffast-math -lm `pkg-config --cflags --libs lv2core` -fPIC
+CFLAGS += -Wall -O3 -ffast-math -lm `pkg-config --cflags --libs lv2` -fPIC
 INSTALLDIR = $(DESTDIR)/usr/lib/lv2/
 INSTALLNAME = so-synth.lv2/
 $(LIBRARY) : $(OBJECTS)

=== debian/changelog ===
so-synth-lv2 (1.5-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Use debhelper-compat instead of debian/compat and bump to level 12
    + Bump Standards-Version to 4.4.1
    + Update homepage
  * d/copyright: Rewrite and update
  * d/patches/1001-port_to_lv2.patch: Drop, obsolete
  * d/source/local-options: Drop, obsolete
  * Add d/watch file.

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 12 Jan 2020 17:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: so-synth-lv2
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jeremy Salwen <jeremysalwen@gmail.com>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 12),
  lv2-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 4.4.1
 Section: sound
-Homepage: http://d00m.org/~someone/
-Vcs-Git: git://git.debian.org/pkg-multimedia/so-synth-lv2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/so-synth-lv2.git
+Homepage: https://github.com/jeremysalwen/So-synth-LV2
+Vcs-Git: https://salsa.debian.org/multimedia-team/so-synth-lv2.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/so-synth-lv2
 
 Package: so-synth-lv2
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/so-synth-lv2-$1\.tar\.gz/ \
  https://github.com/jeremysalwen/So-synth-LV2/releases .*/v?(\d\S+)\.tar\.gz
